<template>
  <el-row>
    <el-row
      class="base-container marginTop20 marginBottom40"
      v-for="(table,index) in tables"
      :key="index"
    >
      <el-row
        style="font-size:14px;padding:6px 20px;"
        :style="{background : index < 3 ? '#fff' :'#d6d6d6'}"
        v-if="table.title"
      >{{table.title}}</el-row>
      <el-row style="padding:0 20px;">
        <el-col
          v-for="(item,idx) in table.items"
          :key="idx"
          :span="item.total ? '16' : item.inline ? 24 : 8"
          class="marginTop10 flexVcenter"
        >
          <el-col :span="6" class="label fb_regular f14">{{item.name}}</el-col>
          <el-col :span="16" v-if="!item.type" class="text fb_regular f14">{{item_text(item)}}</el-col>
          <el-col :span="16" v-else-if="item.type === 'file'" class="text fb_regular f14">
            <ootecoFile :conf="item.sub_conf"></ootecoFile>
          </el-col>
        </el-col>
      </el-row>
    </el-row>
    <el-row class="marginTop10 riskData">
      <el-row style="font-size:14px;padding:6px 20px;background:#d6d6d6;">风控资料</el-row>
      <el-row style="padding:0 20px;">
        <ootecoTable
          ref="riskTable"
          class="marginTop20 marginBottom40"
          :conf="tableConf"
          :url="'company/getRiskControlInfo'"
        ></ootecoTable>
      </el-row>
    </el-row>
    <ootecoOpratorDialog :conf="dialogs[0]"></ootecoOpratorDialog>
    <ootecoContactDialog :conf="dialogs[1]"></ootecoContactDialog>
    <ootecoBankDialog :conf="dialogs[2]"></ootecoBankDialog>
    <faceDialog ref="faceDialog" :conf="faceConf"></faceDialog>
    <resetPwd ref="resetPwd"></resetPwd>
  </el-row>
</template>

<script>
import tables from "./data_conf/bussinessBase.js";
import ootecoOpratorDialog from "./subComponents/ooteco_oprator_dialog";
import ootecoContactDialog from "./subComponents/ooteco_contact_dialog";
import ootecoBankDialog from "./subComponents/ooteco_bank_dialog";
import ootecoFile from "@com/ooteco_download_file";
import resetPwd from "@com/ooteco_resetPwd";
import faceDialog from "@com/ooteco_face_dialog";
import ootecoTable from "@com/ooteco_table";
export default {
  mixins: [$mixin],
  components: {
    ootecoOpratorDialog,
    ootecoContactDialog,
    ootecoBankDialog,
    ootecoFile,
    faceDialog,
    resetPwd,
    ootecoTable
  },
  data() {
    return Object.assign({}, tables, {
      faceConf: {
        url: "waeadsadas",
        text:
          "请先确认基本资料信息完整无误后扫描上方二维码进行人脸识别完成认证",
        option: {
          cardNo: "",
          name: "",
          type: 1
        }
      }
    });
  },
  created() {
    this.faceConf.option.cardNo = this.userInfo.operatorUserIdCardNumber;
    this.faceConf.option.name = this.userInfo.operatorUserName;
  },
  methods: {
    item_text(item) {
      return item.filter ? item.filter(item.text) : item.text;
    },
    requestData() {
      this.$http
        .get({
          url: "company/getCompanyDetails",
          params: {
            companyId: this.$route.query.businessId
          }
        })
        .then(
          ({ data }) => {
            for (const table of this.tables) {
              for (const item of table.items) {
                data[table.form_key][item.form_key] &&
                  item.form_key &&
                  (item.text = data[table.form_key][item.form_key]);
              }
            }
            // this.$set(
            //   this.sub_title["bussinessBase"].buttons[0],
            //   "disable",
            //   !(
            //     data.companyInfo.approvalStatus === 1 ||
            //     data.companyInfo.approvalStatus === 4
            //   )
            // );
            data.attachmentList.authorizationFile &&
              this.$set(
                this.tables[2].items[this.tables[2].items.length - 2], //TODO 附件赋值
                "sub_conf",
                data.attachmentList.authorizationFile[0]
              );
          },
          msg => {
            this.alert(msg);
          }
        );
    },
    initListen() {
      this.listen("dataPackageDowmload", () => {
          this.$http
              .get({
                  url: 'file/company/download',
                  params:{
                      companyId: this.$route.query.companyId
                  }
              })
              .then(
                  ({ data }) => {
                      utils.downLoadFile(data.url)
                  },
                  msg => {
                      this.alert(msg)
                  }
              )
      });
    }
  },
  mounted() {
    this.requestData();
    this.initListen();
  }
};
</script>

<style lang="less" scoped>
.label {
  width: 6.875rem;
  text-align: right;
  color: #6d7478;
}
.text {
  margin-left: 0.5rem;
  color: #262941;
}
.riskData {
  tr td:nth-child(4),
  tr td:nth-child(2) {
    div {
      text-align: center !important;
    }
  }
}
</style>
